com.streambase.sb

## Class EntityType

- java.lang.Object
- - com.streambase.sb.EntityType

-     public final class EntityType
      extends Object

  An enumeration that represents the kinds of entities that StreamBase supports.
  See Also:
    `StreamBaseClient.listEntities(com.streambase.sb.EntityType, com.streambase.sb.CaptureTransformStrategy)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EntityType` | `CONTAINER` Represents a StreamBase container.
    `static EntityType` | `INPUT_STREAMS` Represents input streams only.
    `static EntityType` | `MODULE_REFERENCE` Represents StreamBase Module Reference
    `static EntityType` | `OPERATOR` Represents a StreamBase operator.
    `static EntityType` | `OUTPUT_STREAMS` Represents output streams only.
    `static EntityType` | `SCHEMA` Represents a StreamBase schema.
    `static EntityType` | `STREAM` Represents a StreamBase stream.
    `static EntityType` | `TABLE` Represents a StreamBase query table.
    `static EntityType` | `TABLE_CONCRETE` Represents StreamBase query tables that are not references, or placeholders.
    `static EntityType` | `WINDOW_SPEC` Represents a StreamBase window.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EntityType` | `forName(String name)` Retrieve an EntityType for the given entity name
    `String` | `toString()` Return the name of the entity as a string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INPUT_STREAMS

          public static final EntityType INPUT_STREAMS

      Represents input streams only. That is, streams with no upstream operator.

    - #### OUTPUT_STREAMS

          public static final EntityType OUTPUT_STREAMS

      Represents output streams only. That is, streams with no downstream operators.

    - #### OPERATOR

          public static final EntityType OPERATOR

      Represents a StreamBase operator.

    - #### WINDOW_SPEC

          public static final EntityType WINDOW_SPEC

      Represents a StreamBase window.

    - #### STREAM

          public static final EntityType STREAM

      Represents a StreamBase stream.

    - #### SCHEMA

          public static final EntityType SCHEMA

      Represents a StreamBase schema.

    - #### CONTAINER

          public static final EntityType CONTAINER

      Represents a StreamBase container.

    - #### TABLE

          public static final EntityType TABLE

      Represents a StreamBase query table.

    - #### TABLE_CONCRETE

          public static final EntityType TABLE_CONCRETE

      Represents StreamBase query tables that are not references, or placeholders.
      Since:
        7.2.5

    - #### MODULE_REFERENCE

          public static final EntityType MODULE_REFERENCE

      Represents StreamBase Module Reference
      Since:
        7.6.3

  - ### Method Detail

    - #### forName

          public static EntityType forName(String name)

      Retrieve an EntityType for the given entity name
      Parameters:
        `name` - the entity name to lookup
      Returns:
        the EntityType found, or null

    - #### toString

          public String toString()

      Return the name of the entity as a string.
      Overrides:
        `toString` in class `Object`
      Returns:
        the name of the entity as a string

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.